bind/java: bump android plugin version to 3.0.1

The examples were updated recently; this CL updates the version
used for the gomobile integration tests. The old version didn't
support newer versions of the gradle command.

Change-Id: I7ea9b3f9be37e9c96df96c5a81e90354da2ecd10
Reviewed-on: https://go-review.googlesource.com/114057
Reviewed-by: Hyang-Ah Hana Kim <hyangah@gmail.com>
diff --git a/bind/java/seq_test.go b/bind/java/seq_test.go
index 07d02f3..05feed6 100644
--- a/bind/java/seq_test.go
+++ b/bind/java/seq_test.go
@@ -191,10 +191,11 @@
 
 const buildgradle = `buildscript {
     repositories {
+        google()
         jcenter()
     }
     dependencies {
-        classpath 'com.android.tools.build:gradle:1.5.0'
+        classpath 'com.android.tools.build:gradle:3.0.1'
     }
 }